import { createVNode as _createVNode } from "vue";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import classnames from 'classnames';
import { defineComponent } from 'vue';
export default defineComponent({
  name: 'MCard',
  props: {
    prefixCls: {
      type: String,
      default: 'am-card'
    },
    full: {
      type: Boolean,
      default: false
    }
  },
  render: function render() {
    var _this$$slots$default, _this$$slots;
    var _this$$props = this.$props,
      prefixCls = _this$$props.prefixCls,
      full = _this$$props.full;
    var wrapCls = classnames(prefixCls, _defineProperty({}, "".concat(prefixCls, "-full"), full));
    return _createVNode("div", {
      "class": wrapCls
    }, [(_this$$slots$default = (_this$$slots = this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots)]);
  }
});