import { createVNode as _createVNode } from "vue";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { defineComponent } from 'vue';
import RmcDrawer from '../../vmc-drawer';
var Drawer = defineComponent({
  install: null,
  name: 'MDrawer',
  props: {
    /**
     * 抽屉内容容器样式
     */
    sidebarStyle: {
      type: Object
    },
    contentStyle: {
      type: Object
    },
    overlayStyle: {
      type: Object
    },
    dragHandleStyle: {
      type: Object
    },
    docked: {
      type: Boolean
    },
    transitions: {
      type: Boolean
    },
    touch: {
      type: Boolean,
      default: true
    },
    dragToggleDistance: {
      type: Number
    },
    prefixCls: {
      type: String,
      default: 'am-drawer'
    },
    sidebar: {
      type: Object
    },
    open: {
      type: Boolean,
      default: false
    },
    position: {
      type: String,
      default: 'left'
    }
  },
  render: function render() {
    var _this$$slots$sidebar,
      _this$$slots$sidebar2,
      _this$$slots,
      _this = this,
      _this$$slots$default,
      _this$$slots2;
    var props = _objectSpread(_objectSpread(_objectSpread({}, this.$props), this.$attrs), {}, {
      sidebar: (_this$$slots$sidebar = (_this$$slots$sidebar2 = (_this$$slots = this.$slots).sidebar) === null || _this$$slots$sidebar2 === void 0 ? void 0 : _this$$slots$sidebar2.call(_this$$slots)) !== null && _this$$slots$sidebar !== void 0 ? _this$$slots$sidebar : this.sidebar,
      open: this.open,
      onOpen: function onOpen(value) {
        _this.$emit('update:open', value);
      }
    });
    return _createVNode(RmcDrawer, props, {
      default: function _default() {
        return [(_this$$slots$default = (_this$$slots2 = _this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots2)];
      }
    });
  }
});
export default Drawer;