import { createVNode as _createVNode } from "vue";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import { unwrapFragment } from '../../utils/vue';
import classNames from 'classnames';
import { defineComponent } from "vue";
var classPrefix = "am-space";
export var Space = defineComponent({
  name: 'MSpace',
  props: {
    direction: {
      type: String,
      default: 'horizontal'
    },
    align: String,
    justify: String,
    wrap: Boolean,
    block: Boolean,
    onClick: Function
  },
  render: function render() {
    var _unwrapFragment, _this$$slots$default, _this$$slots;
    var direction = this.direction,
      onClick = this.onClick;
    return _createVNode("div", {
      "class": classNames(classPrefix, _defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty({}, "".concat(classPrefix, "-wrap"), this.wrap), "".concat(classPrefix, "-block"), this.block), "".concat(classPrefix, "-").concat(direction), true), "".concat(classPrefix, "-align-").concat(this.align), !!this.align), "".concat(classPrefix, "-justify-").concat(this.justify), !!this.justify)),
      "onClick": onClick
    }, [(_unwrapFragment = unwrapFragment((_this$$slots$default = (_this$$slots = this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots))) === null || _unwrapFragment === void 0 ? void 0 : _unwrapFragment.map(function (child) {
      return child ? _createVNode("div", {
        "class": "".concat(classPrefix, "-item")
      }, [child]) : undefined;
    })]);
  }
});