import { defineComponent, getCurrentInstance, createVNode as _createVNode } from 'vue';
import { filterHTMLAttrs } from '../../utils/dom';
export default defineComponent({
  name: 'MTab',
  inheritAttrs: false,
  props: {
    title: [String, Object],
    key: String,
    forceRender: Boolean
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots;
    var instance = getCurrentInstance();
    if (!instance.vnode.key) {
      console.error('Tab key cannot be empty');
    }
    return {};
  },
  render: function render() {
    var _this$$slots$default, _this$$slots;
    return _createVNode("div", filterHTMLAttrs(this.$attrs), [(_this$$slots$default = (_this$$slots = this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots)]);
  }
});