import { Teleport, createVNode as _createVNode } from 'vue';
import { canUseDom } from './can-use-dom';
import { resolveContainer } from './get-container';
export function renderToContainer(getContainer, node) {
  if (canUseDom && getContainer) {
    var container = resolveContainer(getContainer);
    return _createVNode(Teleport, {
      "to": container
    }, {
      default: function _default() {
        return [node];
      }
    });
  }
  return node;
}