import { createVNode as _createVNode } from "vue";
import classnames from 'classnames';
import { defineComponent } from 'vue';
export default defineComponent({
  name: 'MWingBlank',
  props: {
    prefixCls: {
      type: String,
      default: 'am-wingblank'
    },
    size: {
      default: 'lg'
    }
  },
  install: null,
  render: function render() {
    var _this$$props = this.$props,
      prefixCls = _this$$props.prefixCls,
      size = _this$$props.size;
    var wrapCls = classnames(prefixCls, "".concat(prefixCls, "-").concat(size));
    return _createVNode("div", {
      "class": wrapCls
    }, [this.$slots.default()]);
  }
});