import { createVNode as _createVNode } from "vue";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["prefixCls"];
import classnames from 'classnames';
import { defineComponent } from 'vue';
import { filterHTMLAttrs } from '../../utils/dom';
export default defineComponent({
  inheritAttrs: false,
  name: 'MFlexItem',
  props: {
    onClick: {},
    disabled: {
      type: Boolean,
      default: false
    },
    prefixCls: {
      type: String,
      default: 'am-flexbox'
    }
  },
  render: function render() {
    var _this = this,
      _this$$slots$default,
      _this$$slots;
    var _this$$props = this.$props,
      prefixCls = _this$$props.prefixCls,
      restProps = _objectWithoutProperties(_this$$props, _excluded);
    var wrapCls = classnames("".concat(prefixCls, "-item"), this.$attrs.class);
    var props = _objectSpread(_objectSpread(_objectSpread({}, restProps), this.$attrs), {}, {
      onClick: function onClick(e) {
        e.stopPropagation();
        _this.$emit('click', e);
      }
    });
    return _createVNode("div", _objectSpread(_objectSpread({}, filterHTMLAttrs(props)), {}, {
      "class": wrapCls,
      "onClick": function onClick(e) {
        _this.$emit('click', e);
      }
    }), [(_this$$slots$default = (_this$$slots = this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots)]);
  }
});