import { createVNode as _createVNode } from "vue";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import { isEmptySlot } from '../../utils/vnode';
import classnames from 'classnames';
export var renderLabel = function renderLabel(props, slots) {
  var prefixCls = props.prefixCls;
  var labelNumber = props.labelNumber;
  var labelCls = classnames("".concat(prefixCls, "-label"), _defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty({}, "".concat(prefixCls, "-label-2"), labelNumber === 2), "".concat(prefixCls, "-label-3"), labelNumber === 3), "".concat(prefixCls, "-label-4"), labelNumber === 4), "".concat(prefixCls, "-label-5"), labelNumber === 5), "".concat(prefixCls, "-label-6"), labelNumber === 6), "".concat(prefixCls, "-label-7"), labelNumber === 7));
  if (!isEmptySlot(slots.default)) {
    return _createVNode("div", {
      "class": labelCls
    }, [slots.default()]);
  } else if (props.title) {
    return _createVNode("div", {
      "class": labelCls
    }, [props.title]);
  }
  return null;
};