import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { createVNode as _createVNode } from "vue";
import classNames from 'classnames';
import { defineComponent } from 'vue';
var Tab = defineComponent({
  inheritAttrs: false,
  name: 'Tab',
  props: {
    dot: {
      type: Boolean
    },
    badge: {
      type: [String, Number]
    },
    selected: {
      type: Boolean
    },
    selectedIcon: {
      type: Object
    },
    icon: {
      type: Object
    },
    title: {
      type: String
    },
    prefixCls: {
      type: String,
      default: 'am-tab-item'
    },
    unselectedTintColor: {
      type: String
    },
    tintColor: {
      type: String
    },
    dataAttrs: {
      type: Object
    }
  },
  render: function render() {
    var _this$$slots, _this$$slots$default;
    var prefixCls = this.$props.prefixCls;
    return _createVNode("div", _objectSpread(_objectSpread(_objectSpread({}, this.dataAttrs), this.$attrs), {}, {
      "class": classNames(prefixCls)
    }), [(_this$$slots = this.$slots) === null || _this$$slots === void 0 ? void 0 : (_this$$slots$default = _this$$slots.default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots)]);
  }
});
export default Tab;