import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { cloneElement } from 'ant-design-vue/es/_util/vnode';
import classNames from 'classnames';
export function withNativeProps(props, element) {
  var p = _objectSpread({}, element.props);
  if (props.class) {
    p.class = classNames(element.props.className, props.className);
  }
  if (props.style) {
    p.style = _objectSpread(_objectSpread({}, p.style), props.style);
  }
  if (props.tabIndex !== undefined) {
    p.tabIndex = props.tabIndex;
  }
  for (var key in props) {
    if (!props.hasOwnProperty(key)) {
      continue;
    }
    if (key.startsWith('data-') || key.startsWith('aria-')) {
      p[key] = props[key];
    }
  }
  return cloneElement(element, p);
}