var ShapFlags = /*#__PURE__*/function (ShapFlags) {
  ShapFlags[ShapFlags["Comment"] = 0] = "Comment";
  ShapFlags[ShapFlags["Fragment"] = 16] = "Fragment";
  return ShapFlags;
}(ShapFlags || {});
export function isFragment(nodeElement) {
  return nodeElement.shapeFlag === ShapFlags.Fragment;
}
var _unwrapFragment = function unwrapFragment(node) {
  if (!node) {
    return node;
  }
  if (node.length === 1 && isFragment(node[0])) {
    return _unwrapFragment(node[0].children);
  }
  return node;
};
export { _unwrapFragment as unwrapFragment };