import _createForOfIteratorHelper from "@babel/runtime/helpers/esm/createForOfIteratorHelper";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { cloneElement } from 'ant-design-vue/es/_util/vnode';
var eventToPropRecord = {
  'click': 'onClick'
};
export function withStopPropagation(events, element) {
  var props = _objectSpread({}, element.props);
  var _iterator = _createForOfIteratorHelper(events),
    _step;
  try {
    var _loop = function _loop() {
      var key = _step.value;
      var prop = eventToPropRecord[key];
      props[prop] = function (e) {
        var _element$props$prop, _element$props;
        e.stopPropagation();
        (_element$props$prop = (_element$props = element.props)[prop]) === null || _element$props$prop === void 0 ? void 0 : _element$props$prop.call(_element$props, e);
      };
    };
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      _loop();
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  return cloneElement(element, props);
}