import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { defineComponent } from 'vue';
import { useBaseCalendar } from './calendar-base';
import CalendarProps from './calendar-props';
var CalendarView = defineComponent({
  name: 'MCalendarView',
  props: _objectSpread({}, CalendarProps),
  setup: function setup(props, ctx) {
    var _useBaseCalendar = useBaseCalendar(props, ctx),
      renderCalendar = _useBaseCalendar.renderCalendar;
    return {
      renderCalendar: renderCalendar
    };
  },
  render: function render() {
    return this.renderCalendar();
  }
});
export default CalendarView;