import { defineComponent, createVNode as _createVNode } from 'vue';
export default defineComponent({
  name: 'AnimateWrapper',
  props: {
    open: {
      type: Boolean
    },
    displayType: {
      type: String
    }
  },
  render: function render() {
    var _this$$slots$default, _this$$slots;
    var _this$$props = this.$props,
      displayType = _this$$props.displayType,
      open = _this$$props.open;
    return _createVNode("div", {
      "class": "animate",
      "style": {
        display: open ? displayType : 'none'
      }
    }, [open && ((_this$$slots$default = (_this$$slots = this.$slots).default) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.call(_this$$slots))]);
  }
});